Subject: RE: -mwindows copyright?
From: "McCunney, Dennis" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Jul 1999 16:20:18 -0400

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, July 16, 1999 4:06 PM
> To: [email-masked]
> Subject: -mwindows copyright?
> 
>   I'm using the -mno-cygwin and -mwindows options to compile 
> my program.  I'm also binding to several other windows libs 
> such as -lwsock32. I want to distribute my programs--as well 
> as source--entirely public domain.  The  copyright on all of 
> the mingw libraries seems to be public domain, so I'm ok 
> there.  But looking at the windows libraries in the source, 
> some of them have copyrights such as winsup/sysdef/wsock32.def:
> --snip--
> ;   Exports for WSOCK32 DLL
> ;
> ;   Copyright (C) 1996 Free Software Foundation, Inc.
> ;
> ;   Author:  Scott Christley <[email-masked]>
> ;   Date: 1996
> ;   
> ;   This file is part of the Windows32 API Library.
> ;
> ;   This library is free software; you can redistribute it and/or
> ;   modify it under the terms of the GNU Library General Public
> ;   License as published by the Free Software Foundation; either
> ;   version 2 of the License, or (at your option) any later version.
> --snip--
> Does this mean that if I use -mwindows/-lwsock32 I either 
> have to distribute my program under GNU, or write my own .def's for 
> windows API? (which I imagine would be a minor pain)

Er, Public Domain explicitly means _no_ copyright.

Why is distributing under the GNU liscense a problem?  The trouble
with releasing software into the public domain is that anyone is
free to pick it up, make their own changes, copyright it, and _sell_
it as their own.  The GNU copyleft is designed to prevent that sort
of thing.

______
Dennis

--
Want to unsubscribe from this list?
Send a message to [email-masked]